Register an entity for monitoring
GEThttps://api.dilisense.com/v1/registerEntity
The registerEntity endpoint allows clients to register an entity's name to be monitored against dilisense's database, and receive notifications if any matches are found from that point in time onwards.
Registration does not perform an initial screening, and matches that already exist at the time of registration will not trigger a webhook. Therefore, first register the search profile and screen the name with checkEntity afterwards.
Request
Example request
curl --location --request GET 'https://api.dilisense.com/v1/registerEntity?profile_id=abcdefg-1234&names=REYCO%20GMBH%20GERMANY' \
--header 'x-api-key: <api_key>'
Responses
- 200
OK
Error responses are the same for all endpoints, see Errors.